From 087b62b5767cc634683d8b745b625bab2b5671a1 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Sun, 5 May 2019 12:34:51 +0200
Subject: [PATCH] firefox: disable telemetry

---
 srcpkgs/firefox/files/vendor.js | 3 +++
 srcpkgs/firefox/template        | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/firefox/files/vendor.js b/srcpkgs/firefox/files/vendor.js
index 5be4f1b5f3f..43311e9e14c 100644
--- a/srcpkgs/firefox/files/vendor.js
+++ b/srcpkgs/firefox/files/vendor.js
@@ -7,3 +7,6 @@ pref("browser.shell.checkDefaultBrowser", false);
 // Don't disable our bundled extensions in the application directory
 pref("extensions.autoDisableScopes", 11);
 pref("extensions.shownSelectionUI", true);
+
+// Disable telemetry
+lockPref("toolkit.telemetry.enabled", false);
\ No newline at end of file
diff --git a/srcpkgs/firefox/template b/srcpkgs/firefox/template
index 0e60377f9bb..df72504db9c 100644
--- a/srcpkgs/firefox/template
+++ b/srcpkgs/firefox/template
@@ -4,7 +4,7 @@
 #
 pkgname=firefox
 version=66.0.3
-revision=2
+revision=3
 build_helper="rust"
 short_desc="Mozilla Firefox web browser"
 maintainer="Johannes <johannes.brechtmann@gmail.com>"
